import unittest
import sys
sys.path.insert(1, '../')

# python -m unittest discover
from db.entities import Cluster

from datetime import date, datetime
import json


class TestCluster(unittest.TestCase):
    def test_init_Cluster(self):
        c = Cluster('layer1', 1, [1, 2, 3])

        self.assertEqual(1, c.cluster_label)
        self.assertEqual([1, 2, 3], c.nodes)


if __name__ == '__main__':
    unittest.main()
